{
    attributes = (
        {
            columnName = "BDVL_CONVENTIONS"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_CONVENTIONS"; }; 
            name = bdvlConventions; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDVL_CREDITS"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_CREDITS"; }; 
            name = bdvlCredits; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDVL_DBMS"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_DBMS"; }; 
            name = bdvlDbms; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDVL_DEBITS"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_DEBITS"; }; 
            name = bdvlDebits; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDVL_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_ID"; }; 
            name = bdvlId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "BDVL_OUVERTS"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_OUVERTS"; }; 
            name = bdvlOuverts; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDVL_PRIMITIFS"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_PRIMITIFS"; }; 
            name = bdvlPrimitifs; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDVL_PROVISOIRES"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_PROVISOIRES"; }; 
            name = bdvlProvisoires; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDVL_RELIQUATS"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_RELIQUATS"; }; 
            name = bdvlReliquats; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "BDVL_VOTES"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BDVN_VOTES"; }; 
            name = bdvlVotes; 
            precision = 18; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAC_ID"; 
            externalType = NUMBER; 
            name = tyacId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (bdvlId, exeOrdre, orgId, pcoNum, tcdOrdre, tyacId); 
    className = "org.cocktail.bibasse.server.metier.EOBudgetVoteNatureLolf"; 
    classProperties = (
        bdvlConventions, 
        bdvlCredits, 
        bdvlDbms, 
        bdvlDebits, 
        bdvlOuverts, 
        bdvlPrimitifs, 
        bdvlProvisoires, 
        bdvlReliquats, 
        bdvlVotes, 
        exercice, 
        organ, 
        planComptable, 
        typeCredit, 
        typeAction
    ); 
    externalName = "JEFY_BUDGET.Budget_Vote_Nature_Lolf"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            exercice, 
            organ, 
            planComptable, 
            typeCredit, 
            typeAction, 
            bdvlDebits, 
            bdvlDbms, 
            bdvlCredits, 
            bdvlConventions, 
            bdvlReliquats, 
            bdvlProvisoires, 
            bdvlPrimitifs, 
            bdvlOuverts, 
            bdvlVotes
        ); 
        "_javaClientClassName" = "org.cocktail.bibasse.client.metier.EOBudgetVoteNatureLolf"; 
    }; 
    name = BudgetVoteNatureLolf; 
    primaryKeyAttributes = (bdvlId); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = Organ; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organ; 
        }, 
        {
            destination = PlanComptable; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = pcoNum; sourceAttribute = pcoNum; }
            ); 
            name = planComptable; 
        }, 
        {
            destination = TypeAction; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = tyacId; sourceAttribute = tyacId; }
            ); 
            name = typeAction; 
        }, 
        {
            destination = TypeCredit; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
